#
#  lcd4linux.conf
#

Variables {
   tick 500
   tack 100
   minute 60000
}

Display LCD2USB {
    Driver 'LCD2USB'
    Size '16x2'
    Brightness 200
    Contrast 210
}

Plugin MPD {
    server '192.168.0.5'
    port 6600
    minUpdateTime 500
}

#
# title(0)は入力されているArtist, Album, Track, Titleを全て表示。
# title(1)はArtistを強制無視。
# title(2)はAlbumを強制無視。
# title(3)はArtist, Albumを強制無視。
# title(4)はTrackを強制無視。
# title(5)はArtist, Trackを強制無視。
# title(6)はAlbum, Trackを強制無視。
# title(7)はTitleだけを表示。
# ※aたとえばtitle(0)であっても、Artist, Album, Trackが入力されていなければ、
# title(7)と同じ表示になる。他の場合も同様。
# ※Titleが入力されていない場合は代わりにファイル名を表示。
#
Widget mpd_title {
    class 'Text'
    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(0)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(1)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(2)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(3)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(4)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(5)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(6)
#    expression mpd::SongPos().'/'.mpd::ListLength().' '.mpd::title(7)
    width 16
    align 'M'
    speed 200
    update tick
}

Widget mpd_time {
    class 'Text'
    expression mpd::elapsedTime().mpd::totalTime()
    width 16
    align 'L'
    update tack
}

Layout MPD {
    Row1.Col1 'mpd_title'
    Row2.Col1 'mpd_time'
}

Display 'LCD2USB'
Layout 'MPD'
